You are not logged in.

#1 2019-11-02 06:28:33

michaelk42
Member
From: Indiana
Registered: 2016-05-01
Posts: 7

[Solved] Failing to install x2go

I'm following these instructions to get the x2go repos installed in apt, and that seems to work:M https://wiki.x2go.org/doku.php/wiki:repositories:debian ('m in Helium 9.8, so I assume I should be using the Debian instructions)

But install isn't working:

michael@mercury:~$ sudo apt-get install x2godesktopsharing
[sudo] password for michael: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 x2godesktopsharing : Depends: libqt5core5a (>= 5.11.0~rc1) but 5.7.1+dfsg-3+deb9u1 is to be installed
                      Depends: x2goserver (>= 4.0.0.0-0~) but it is not going to be installed
                      Recommends: x2goserver-desktopsharing (>= 4.1.0.3~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Am I missing a/have a wrong repo here?

michael@mercury:~$ cat /etc/apt/sources.list
# 

# deb cdrom:[Debian GNU/Linux 9.8 _Helium_ - Snapshot i386 LIVE/INSTALL Binary 20190706-17:50]/ stretch contrib main non-free

#deb cdrom:[Debian GNU/Linux 9.8 _Helium_ - Snapshot i386 LIVE/INSTALL Binary 20190706-17:50]/ stretch contrib main non-free

deb https://deb.debian.org/debian stretch main non-free contrib
# deb-src https://deb.debian.org/debian stretch main non-free contrib

## Debian security updates
deb https://deb.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb https://deb.debian.org/debian stretch-updates main contrib non-free
# deb-src https://deb.debian.org/debian stretch-updates main contrib non-free

# X2Go Repository (release builds)
deb http://packages.x2go.org/debian buster extras main
# X2Go Repository (sources of release builds)
deb-src http://packages.x2go.org/debian buster extras main

# X2Go Repository (Saimaa ESR builds)
#deb http://packages.x2go.org/debian buster extras saimaa
# X2Go Repository (sources of Saimaa ESR builds)
#deb-src http://packages.x2go.org/debian buster extras saimaa

# X2Go Repository (nightly builds)
#deb http://packages.x2go.org/debian buster extras heuler
# X2Go Repository (sources of nightly builds)
#deb-src http://packages.x2go.org/debian buster extras heuler

Last edited by michaelk42 (2019-11-07 01:58:14)

Offline

#2 2019-11-02 07:55:19

ohnonot
...again
Registered: 2015-09-29
Posts: 4,129
Website

Re: [Solved] Failing to install x2go

Did you 'apt update' before 'apt install'?

Offline

#3 2019-11-02 08:29:33

michaelk42
Member
From: Indiana
Registered: 2016-05-01
Posts: 7

Re: [Solved] Failing to install x2go

Yeah, ran it as an && as in the instructions, and even again by itself just to make sure.

Offline

#4 2019-11-02 15:03:12

damo
....moderator....
Registered: 2015-08-20
Posts: 5,197

Re: [Solved] Failing to install x2go

The following packages have unmet dependencies:
x2godesktopsharing : Depends: libqt5core5a (>= 5.11.0~rc1) but 5.7.1+dfsg-3+deb9u1 is to be installed
                      Depends: x2goserver (>= 4.0.0.0-0~) but it is not going to be installed

There's your answer - it requires Buster libraries, and you are using Stretch.
packages.debian.org libqt5core5a

See if they are available from backports


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#5 2019-11-02 20:19:14

AndrewSmart
Member
Registered: 2019-06-10
Posts: 11

Re: [Solved] Failing to install x2go

I love X2Go, I think I donated $20 to them years ago as I used it a lot then.

michaelk42 wrote:

Am I missing a/have a wrong repo here?

michael@mercury:~$ cat /etc/apt/sources.list
[...]
# X2Go Repository (release builds)
deb http://packages.x2go.org/debian buster extras main
# X2Go Repository (sources of release builds)
deb-src http://packages.x2go.org/debian buster extras main
[...]

Yes, wrong release on the repository. At a glance my deduction is adding Debian's stretch-backports wouldn't satisfy the dependencies of X2Go's buster release.

Since:
(1) X2Go doesn't have stretch-backports in their repo, and
(2) Debian's stretch-backports wouldn't satisfy the dependencies of X2Go's buster release,

You must match the Debian release you're using, change from buster to stretch:

# X2Go Repository (release builds)
deb http://packages.x2go.org/debian stretch extras main
# X2Go Repository (sources of release builds)
deb-src http://packages.x2go.org/debian stretch extras main

X2Go seems pretty good about maintaining older releases IIRC, including oldstable and oldoldstable.

I'm sad about the supposed transition from wayland to X Xorg to wayland, I'm not sure how that would impact the benefits of X2Go. Sure wayland can be great locally in certain conditions/contexts. But my expectation is that Xorg+X2Go is best for performance & minimal bandwidth non-locally (substantially less bandwidth and much more responsive than wayland+VNC or whatever). So... feel free to stick with Xorg, dear Bunsenlabs developers, or at least make it optional smile

Last edited by AndrewSmart (2019-11-06 19:51:34)

Offline

#6 2019-11-04 17:16:58

s-rod
Member
From: Kansas City, Missouri
Registered: 2015-10-09
Posts: 31

Re: [Solved] Failing to install x2go

I am running Helium 9.8 with X2GO and I remember having the same issue however I am not exactly sure how I solved it.  I just checked my repository for x2go and I am using the  "Nightly Builds" instead of the "Release Builds".  Have you tried that?

Offline

#7 2019-11-06 05:51:50

michaelk42
Member
From: Indiana
Registered: 2016-05-01
Posts: 7

Re: [Solved] Failing to install x2go

AndrewSmart wrote:

I love X2Go, I think I donated $20 to them years ago as I used it a lot then.

Yes, wrong release on the repository. At a glance my deduction is adding Debian's stretch-backports wouldn't satisfy the dependencies of X2Go's buster release.

Since:
(1) X2Go doesn't have stretch-backports in their repo, and
(2) Debian's stretch-backports wouldn't satisfy the dependencies of X2Go's buster release,

You must match the Debian release you're using, change from buster to stretch:

# X2Go Repository (release builds)
deb http://packages.x2go.org/debian stretch extras main
# X2Go Repository (sources of release builds)
deb-src http://packages.x2go.org/debian stretch extras main

YES. I knew that was probably it. Switched over and fixed. Thanks!

Offline

Board footer

Powered by FluxBB